<!DOCTYPE html>
<html th:replace="~{layout :: layout(~{::content},'')}" xmlns:th="http://www.thymeleaf.org">
<head>
	<title>New Game</title>
</head>
<body>
<div th:fragment="content" style="text-align:center">
	<h1>New Game</h1>
			
		<form action="#" th:action="@{create}" th:object="${games}" method="post">
		<input type="hidden"  th:field="*{user}"/>
		<input type="hidden" th:field="*{id}" />
		<input type="hidden" th:field="*{listmaps}" />
		<div class="alert alert-danger" th:if="${erreur!=NULL}"th:text="${erreur}"></div>
		
		<div class="form-group">
			<label for="playername">Name</label>
			<input th:field="*{players.name}" required />
			<label for="playermoney">Money</label>
			<input th:field="*{players.money}" />
			<label for="playercolor">Color</label>
			<select th:field="*{players.color}">
			<option value="Red">Red</option>
			<option value="Blue">Blue</option>
			<option value="Green">Green</option>
			<option value="Yellow">Yellow</option>
			</select>    
		</div>
		<div class="form-group">
		<select multiple class="form-control" id="friends" th:field="*{friends}">
			<option th:each="f : ${friends}" th:value="${f.id}" th:text="${f.pseudo}"></option>
		</select>
		</div>
		<label for="maps">Maps</label>
			<select th:field="*{choixmaps}">
			<option th:each="maps : *{listmaps}" th:value="${maps.toString()}" th:text="${maps.toString()}"></option>
			</select>
		<button type="submit" class="btn btn-primary" name="action" value="send">Enregister</button>
	</form>
 </div>
</body>
</html>